summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author V'yacheslav Stetskevych <slava18@gmail.com>2010-05-13 01:01:09 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 01:01:09 +0200
commit2347e1ffa7df585ce7c2043e1cc958cf6af22c91 (patch)
tree1dfdcc93a413adf55bafd52fa693707fc02bf97d
parent235490c1d8d73cd81049450bee2a12e149849931 (diff)
downloadslackbuilds-2347e1ffa7df585ce7c2043e1cc958cf6af22c91.tar.gz
slackbuilds-2347e1ffa7df585ce7c2043e1cc958cf6af22c91.tar.xz
system/shake: Added to 13.0 repository
-rw-r--r--system/shake/README7
-rw-r--r--system/shake/shake.SlackBuild82
-rw-r--r--system/shake/shake.info10
-rw-r--r--system/shake/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/system/shake/README b/system/shake/README
new file mode 100644
index 0000000000..4b89b5fa0d
--- /dev/null
+++ b/system/shake/README
@@ -0,0 +1,7 @@
+Shake is a filesystem defragmenter that runs in userspace.
+
+Contrary to xfs_fsr, it uses functions common to all filesystems and
+can be used to selectively defragment files.
+For best results, mount your partitions with the user_xattr option.
+
+This package requires help2man, available on slackbuilds.org.
diff --git a/system/shake/shake.SlackBuild b/system/shake/shake.SlackBuild
new file mode 100644
index 0000000000..31152f8910
--- /dev/null
+++ b/system/shake/shake.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for shake
+
+# Written by V'yacheslav Stetskevych
+
+PRGNAM=shake
+VERSION=${VERSION:-0.99}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd build
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release \
+ ..
+
+make
+make install DESTDIR=$PKG
+cd -
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+#Move manpages manually
+mkdir $PKG/usr/man
+mv $PKG/usr/share/man/* $PKG/usr/man/
+rm -R $PKG/usr/share
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ GPL.txt INSTALL NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+chmod -R 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/shake/shake.info b/system/shake/shake.info
new file mode 100644
index 0000000000..0ac2aba208
--- /dev/null
+++ b/system/shake/shake.info
@@ -0,0 +1,10 @@
+PRGNAM="shake"
+VERSION="0.99"
+HOMEPAGE="https://savannah.nongnu.org/projects/shake"
+DOWNLOAD="http://mirror.lihnidos.org/GNU/savannah/shake/shake-0.99.tar.gz"
+MD5SUM="6d471843839a6d7df9cea6b532e80da7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="V'yacheslav Stetskevych"
+EMAIL="slava18@gmail.com"
+APPROVED="dsomero"
diff --git a/system/shake/slack-desc b/system/shake/slack-desc
new file mode 100644
index 0000000000..1b064e9aec
--- /dev/null
+++ b/system/shake/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+shake: Shake (filesystem defragmenter that runs in userspace)
+shake:
+shake: Contrary to xfs_fsr, it uses functions common to all filesystems and
+shake: can be used to selectively defragment files.
+shake: For best results, mount your partitions with the user_xattr option.
+shake:
+shake: Homepage: https://savannah.nongnu.org/projects/shake
+shake:
+shake:
+shake:
+shake: